image: python:3.7-alpine
variables:
  # This variable will ensure that the CI runner pulls in your theme from the submodule
  GIT_SUBMODULE_STRATEGY: recursive  
  # Specify the zola version you want to use here
  ZOLA_VERSION: "v0.12.0"

pages:
  script:
    # Install the zola package from the alpine testing repositories
    - apk add --update-cache --repository http://dl-3.alpinelinux.org/alpine/edge/testing/ zola
    # Loads documentation from GitLab
    - pip install toml
    - python3 scripts/get_external_content.py
    # Execute zola build
    - zola build
    
  artifacts:
    paths:
      # Path of our artifacts
      - public
      
  # This config will only publish changes that are pushed on the master branch
  only: 
    - master
